Bug 13121 - "Fatal IO range check..." Have to remove "(CHECK)" in /etc/isapnp.conf
"Fatal IO range check..." Have to remove "(CHECK)" in /etc/isapnp.conf
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: isapnptools (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-27 12:36 EDT by Inger Karin Haarbye
Modified: 2014-03-16 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-27 12:36:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Inger Karin Haarbye 2000-06-27 12:36:50 EDT
This bug is not new - it has existed for a long time. And - the bug is not
restricted to the RedHat-rpm. (I have earlier tried to compile v1.19 myself
- and the same bug is there).

It affects many ISA-PnP isdn-cards, and the bug is well known by people
using these cards. I have a Teles 16.3C.

Before setting up the isapnp cards I have this output from "cat
/proc/ioports":

0000-001f : dma1
0020-003f : pic1
0040-005f : timer
0060-006f : keyboard
0070-007f : rtc
0080-008f : dma page reg
00a0-00bf : pic2
00c0-00df : dma2
00f0-00ff : fpu
0170-0177 : ide1
01f0-01f7 : ide0
0376-0376 : ide1
03c0-03df : vga+
03f6-03f6 : ide0
1000-107f : ncr53c8xx
1460-1467 : ide0
1468-146f : ide1
d8072000-d807201f : Intel Speedo3 Ethernet

Then: 
"pnpdump -c > /etc/isapnp.conf" and:
"isapnp /etc/isapnp.conf"

results in this error message:

Board 1 has Identity 96 07 67 86 59 9e 00 8c 0e:  CTL009e Serial No
124225113 [checksum 96]
Board 2 has Identity 78 0f 58 b6 9f 10 26 27 50:  TAG2610 Serial No
257472159 [checksum 78]
CTL009e/124225113[0]{Audio               }: Ports 0x220 0x330 0x388; IRQ5
DMA1 DMA5 --- Enabled OK
CTL009e/124225113[1]{Game                }: Port 0x200; --- Enabled OK
CTL009e/124225113[2]{WaveTable           }: Port 0x620; --- Enabled OK
/etc/isapnp.conf:386 -- Fatal - IO range check attempted while device
activated
/etc/isapnp.conf:386 -- Fatal - Error occurred executing request
'<IORESCHECK> ' --- further action aborted

The first card is a SB-AWE64 Sound card - the second is the isdn-card.

Here is some lines from the /etc/isapnp.conf starting with line 386:

  (IO 0 (SIZE 2) (BASE 0x0580) (CHECK))
#       IRQ 3, 4, 5, 9, 10, 11, 12 or 15.
#             High true, edge sensitive interrupt (by default)
  (INT 0 (IRQ 3 (MODE +E)))

As a solution - to get the card to work - I have to remove the "(CHECK)" in
the line with the io-address (386). Then everything is working properly!:

Board 1 has Identity 96 07 67 86 59 9e 00 8c 0e:  CTL009e Serial No
124225113 [checksum 96]
Board 2 has Identity 78 0f 58 b6 9f 10 26 27 50:  TAG2610 Serial No
257472159 [checksum 78]
CTL009e/124225113[0]{Audio               }: Ports 0x220 0x330 0x388; IRQ5
DMA1 DMA5 --- Enabled OK
CTL009e/124225113[1]{Game                }: Port 0x200; --- Enabled OK
CTL009e/124225113[2]{WaveTable           }: Ports 0x620 0xA20 0xE20; ---
Enabled OK
Comment 1 Bill Nottingham 2000-08-08 00:35:04 EDT
This sounds like a known hardware issue workaround.
We probably won't fix it unless isapnptools itself
comes with a fix.

Note You need to log in before you can comment on or make changes to this bug.